% Short test of consolidate_box_param. The general idea is thourougly
% tested in a hdevelop script.
%
% Copyright (c) MVTec Software GmbH.  All rights reserved.
%
% All use of this software is subject to the terms of the revised BSD
% license.  You should have received a copy of this license along
% with this source code in a file named "license.txt."
box_param = rand(1,5) .* [512,512,300,300,180] - [0, 0, 0, 0, 90];

% The angle should be between (-45:45] degrees.
box_param(5) = (-100);
box_param = consolidate_box_param(box_param);
if (box_param(5)  ~= -10)
    error('wrong angle...')
end

box_param2 = box_param;
box_param2(5) = (100);
box_param2 = consolidate_box_param(box_param2);
if (box_param2(5)  ~= 10)
    error('wrong angle...')
end

% Test if vectors are delt with correctly
box_param2(5) = (100);
box_param(5) = (-100);
BOX_PARAM = [box_param;box_param2];
BOX_PARAM2 = consolidate_box_param(BOX_PARAM);
if (BOX_PARAM2(1,5)  ~= -10 || BOX_PARAM2(2,5)  == -10)
    error('wrong angle...')
end